- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
API Version : 2026-10-01-preview
Queries hierarchical formability over dense reservations.
HTTP request
POST https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/acceleratorInterconnects:queryFormability?$apiVersion=2026-10-01-preview The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
zone |
The name of the zone where the request is located. Zone name should conform to RFC1035. |
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results per page that should be returned. If the number of available results is larger than |
pageToken |
Specifies a page token to use. Set |
filter |
A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either For example, if you are filtering Compute Engine instances, you can exclude instances named The You can also filter nested fields. For example, you could specify To filter on multiple expressions, provide each separate expression within parentheses. For example: By default, each expression is an If you want to use a regular expression, use the
The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use You cannot combine constraints on multiple fields using regular expressions. |
orderBy |
Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using Currently, only sorting by |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "subblocks": [ string ] } |
| Fields | |
|---|---|
subblocks[] |
Explicit list of fully qualified reservation subblock resource URLs. Both full and relative URIs are supported. |
Response body
Response message for AcceleratorInterconnects.QueryFormability.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "items": [ { "partitionId": string, "acceleratorTopology": string, "status": { "state": enum, "infrastructureHealth": enum, "instanceState": enum, "usageState": enum, "acceleratorInterconnect": string, "instance": string, "error": { "errors": [ { "code": string, "location": string, "message": string, "errorDetails": [ { "errorInfo": { "reason": string, "domain": string, "metadatas": { string: string, ... } }, "quotaInfo": { "metricName": string, "limitName": string, "dimensions": { string: string, ... }, "limit": number, "futureLimit": number, "rolloutStatus": enum }, "help": { "links": [ { "description": string, "url": string } ] }, "localizedMessage": { "locale": string, "message": string } } ] } ] } }, "parent": string, "subblock": string } ], "nextPageToken": string } |
| Fields | |
|---|---|
items[] |
Flattened collection of hierarchical partitions and their formability across all requested subblocks. Available from version 2026-10-01-preview. |
items[].partitionId |
Identifier for this topological block. |
items[].acceleratorTopology |
Topological shape (e.g., "4x4x4"). |
items[].status |
Output only. Defines the status of the partition. |
items[].status.state |
Current formability state. |
items[].status.infrastructureHealth |
Physical health of the underlying infrastructure. |
items[].status.instanceState |
State of the instances within this partition. |
items[].status.usageState |
Usage state indicating if the partition is occupied. |
items[].status.acceleratorInterconnect |
URL of the AcceleratorInterconnect utilizing this partition. |
items[].status.instance |
URL of an instance provisioned in a single-host partitionID at the lowest level of the partition tree. Empty if the instance is missing. |
items[].status.error |
Detailed error status if the subblock has wrong or no provisioning. When set, only subblock and error are populated. |
items[].status.error.errors[] |
Output only. The array of errors encountered while processing this operation. |
items[].status.error.errors[].code |
Output only. The error type identifier for this error. |
items[].status.error.errors[].location |
Output only. Indicates the field in the request that caused the error. This property is optional. |
items[].status.error.errors[].message |
Output only. An optional, human-readable error message. |
items[].status.error.errors[].errorDetails[] |
Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED. |
items[].status.error.errors[].errorDetails[].errorInfo |
Error information containing structured domain, reason, and metadata. |
items[].status.error.errors[].errorDetails[].errorInfo.reason |
The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of |
items[].status.error.errors[].errorDetails[].errorInfo.domain |
The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
items[].status.error.errors[].errorDetails[].errorInfo.metadatas |
Additional structured details about this error. Keys must match a regular expression of |
items[].status.error.errors[].errorDetails[].quotaInfo |
Details about quota limits and metrics when a quota is exceeded. |
items[].status.error.errors[].errorDetails[].quotaInfo.metricName |
The Compute Engine quota metric name. |
items[].status.error.errors[].errorDetails[].quotaInfo.limitName |
The name of the quota limit. |
items[].status.error.errors[].errorDetails[].quotaInfo.dimensions |
The map holding related quota dimensions. |
items[].status.error.errors[].errorDetails[].quotaInfo.limit |
Current effective quota limit. The limit's unit depends on the quota type or metric. |
items[].status.error.errors[].errorDetails[].quotaInfo.futureLimit |
Future quota limit being rolled out. The limit's unit depends on the quota type or metric. |
items[].status.error.errors[].errorDetails[].quotaInfo.rolloutStatus |
Rollout status of the future quota limit. |
items[].status.error.errors[].errorDetails[].help |
Links and information to help the user resolve the error. |
items[].status.error.errors[].errorDetails[].help.links[] |
URL(s) pointing to additional information on handling the current error. |
items[].status.error.errors[].errorDetails[].help.links[].description |
Describes what the link offers. |
items[].status.error.errors[].errorDetails[].help.links[].url |
The URL of the link. |
items[].status.error.errors[].errorDetails[].localizedMessage |
A localized human-readable error message intended for end users. |
items[].status.error.errors[].errorDetails[].localizedMessage.locale |
The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: "en-US", "fr-CH", "es-MX" |
items[].status.error.errors[].errorDetails[].localizedMessage.message |
The localized error message in the above locale. |
items[].parent |
Partition ID of a partition that is a direct parent in the tree hierarchy. In case the partition represents a full cube, it doesn't have a parent field. |
items[].subblock |
The URL of the capacity subblock. |
nextPageToken |
This token allows you to get the next page of results for list requests. If the number of results is larger than |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.acceleratorInterconnects.queryFormability
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.